Emag Marketplace Connector

Description

The eMAG Marketplace module helps you integrate your WooCommerce store with the eMAG Marketplace vendor platform. This will allow your store to:

  • Automatically send product documentation (titles, descriptions, images, etc.), product price info and product stock info, to the eMAG Marketplace platform.
  • Automatically send new products and any updates for previously sent products.
  • Automatically receive orders from the eMAG Marketplace platform and import them in your WooCommerce store.
  • Automatically send order updates to the eMAG Marketplace platform.
  • Automatically send invoice to eMAG Marketplace platform.
  • Automatically generate and download AWBs.

You can download documentations using the links bellow:

Prerequisites

The plugin is compatible with version 3 of WooCommerce and version 4.7 of WordPress. It requires PHP 5.6 minimum and having the cURL extension enabled.

Further Documentation

Check documentation folder for more details.

Installation

  1. Install the plugin from the official WordPress marketplace
  2. Enable plugin
  3. Configure the settings as described in the documentation

FAQ

Installation Instructions
  1. Install the plugin from the official WordPress marketplace
  2. Enable plugin
  3. Configure the settings as described in the documentation

Contributors & Developers

“Emag Marketplace Connector” is open source software. The following people have contributed to this plugin.

Contributors

Changelog

1.1.0

  • Increase items per page when reading information from API
  • Increase API request timeout value
  • Fix new order notification compatibility issue
  • Change cron execution method
  • Fix min and max value calculation
  • Fix compatibility with older versions of MySQL= 1.0.4 =
  • Fix PHP version validation
  • Fix compatibility with older versions of MySQL

1.0.3

  • Protect logs using .htaccess

1.0.2

  • Fix invoice upload
  • Display error message on config update when API returns error

1.0.1

  • Fix XSS vulnerability.
  • Add validation for minimum PHP version.